<!DOCTYPE html>
<html><head>
<title>eric7.Debugger.VariableDetailDialog</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Debugger.VariableDetailDialog</h1>
<p>
Module implementing the variable detail dialog.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#VariableDetailDialog">VariableDetailDialog</a></td>
<td>Class implementing the variable detail dialog.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="VariableDetailDialog" ID="VariableDetailDialog"></a>
<h2>VariableDetailDialog</h2>
<p>
    Class implementing the variable detail dialog.
</p>
<p>
    This dialog shows the name, the type and the value of a variable
    in a read only dialog. It is opened upon a double click in the
    variables viewer widget.
</p>

<h3>Derived from</h3>
QDialog, Ui_VariableDetailDialog
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#VariableDetailDialog.__init__">VariableDetailDialog</a></td>
<td>Constructor</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="VariableDetailDialog.__init__" ID="VariableDetailDialog.__init__"></a>
<h4>VariableDetailDialog (Constructor)</h4>
<b>VariableDetailDialog</b>(<i>var, vtype, value</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>var</i> (str)</dt>
<dd>
the variables name
</dd>
<dt><i>vtype</i> (str)</dt>
<dd>
the variables type
</dd>
<dt><i>value</i> (str)</dt>
<dd>
the variables value
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
